org.apache.hadoop.util

## Interface GcTimeMonitor.GcTimeAlertHandler

- Enclosing class:
    GcTimeMonitor

      public static interface GcTimeMonitor.GcTimeAlertHandler

  The user can provide an instance of a class implementing this interface when initializing a GcTimeMonitor to receive alerts when GC time percentage exceeds the specified threshold.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `alert(GcTimeMonitor.GcData gcData)`

- - ### Method Detail

    - #### alert

          void alert(GcTimeMonitor.GcData gcData)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.